package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayWorkOrderEmployee;
import com.ruoyi.pay.domain.vo.PayWorkOrderEmployeeVo;
import com.ruoyi.pay.domain.bo.PayWorkOrderEmployeeBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 工单和员工联系Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayWorkOrderEmployeeService {

    /**
     * 查询工单和员工联系
     */
    PayWorkOrderEmployeeVo queryById(Long id);

    /**
     * 查询工单和员工联系列表
     */
    TableDataInfo<PayWorkOrderEmployeeVo> queryPageList(PayWorkOrderEmployeeBo bo, PageQuery pageQuery);

    /**
     * 查询工单和员工联系列表
     */
    List<PayWorkOrderEmployeeVo> queryList(PayWorkOrderEmployeeBo bo);

    /**
     * 新增工单和员工联系
     */
    Boolean insertByBo(PayWorkOrderEmployeeBo bo);

    /**
     * 修改工单和员工联系
     */
    Boolean updateByBo(PayWorkOrderEmployeeBo bo);

    /**
     * 校验并批量删除工单和员工联系信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
